package intrinsic.mx.controls;

public class Alert extends intrinsic.mx.containers.Panel {

	/** Accessors */

	/** Variables */
	public int defaultButtonFlag;
	public String text;
	public int buttonFlags;
	public intrinsic.Class iconClass;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final int YES = 1;
	public static final String VERSION = "version";
	public static final int CANCEL = 2;
	public static final int NONMODAL = 0;
	public static final int NO = 3;
	public static final int OK = 4;

	/** Class Accessors */
	public static String okLabel;
	public static String yesLabel;
	public static String noLabel;
	public static String cancelLabel;

	/** Class variables */
	public static double buttonHeight;
	public static double buttonWidth;
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public Alert() {
}


/** Static Methods */
public static native intrinsic.mx.controls.Alert show();
public static native intrinsic.mx.controls.Alert show(String arg0);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1, int arg2);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1, int arg2, intrinsic.flash.display.Sprite arg3);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1, int arg2, intrinsic.flash.display.Sprite arg3, intrinsic.Function arg4);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1, int arg2, intrinsic.flash.display.Sprite arg3, intrinsic.Function arg4, intrinsic.Class arg5);
public static native intrinsic.mx.controls.Alert show(String arg0, String arg1, int arg2, intrinsic.flash.display.Sprite arg3, intrinsic.Function arg4, intrinsic.Class arg5, int arg6);

/** Methods */
public native void styleChanged(String arg0);

}
